# std::money_base Class Reference
[Locales]

Money format ordering data.This class contains an ordered array of 4 fields to represent the pattern for formatting a money amount. Each field may contain one entry from the part enum. symbol, sign, and value must be present and the remaining field must contain either none or space. More...

Inheritance diagram for std::money_base:
[legend]

List of all members.

## Public Types

- enum { _S_minus, _S_zero, _S_end }
- enum part {
  none, space, symbol, sign,
  value
  }

## Static Public Member Functions

- static _GLIBCXX_CONST pattern _S_construct_pattern (char __precedes, char __space, char __posn) throw ()

## Static Public Attributes

- static const char * _S_atoms
- static const pattern _S_default_pattern

## Detailed Description

Money format ordering data.

This class contains an ordered array of 4 fields to represent the pattern for formatting a money amount. Each field may contain one entry from the part enum. symbol, sign, and value must be present and the remaining field must contain either none or space.

See also:
  moneypunct::pos_format() and moneypunct::neg_format() for details of how these fields are interpreted.

Definition at line 835 of file locale_facets_nonio.h.

The documentation for this class was generated from the following file:

- locale_facets_nonio.h